// Copyright (c) FIRST and other WPILib contributors.
// Open Source Software; you can modify and/or share it under the terms of
// the WPILib BSD license file in the root directory of this project.

package frc.robot.commands;

import edu.wpi.first.wpilibj2.command.CommandBase;
import frc.robot.subsystems.Poussoir;

public class Activer_poussoir extends CommandBase {
  private Poussoir poussoir;

  public Activer_poussoir(Poussoir poussoir) {
    this.poussoir = poussoir;


    addRequirements(poussoir);
  } 

  // Called when the command is initially scheduled.
  @Override
  public void initialize() {
    poussoir.tirer();
  }

  // Called once the command ends or is interrupted.
  @Override
  public void end(boolean interrupted) {

    poussoir.pousser();
  }

  // Returns true when the command should end.
  @Override
  public boolean isFinished() {
    return false;
  }
}

